function ind=indnum(a,m,n)
%输入数组返回对应的序列号
%m为阶数 n为维数 如果n只是一维则默认相同 不是则需输入1行m列的矩阵维数
%ind=indnum(a,m,n)
ind=1;
if max(size(n))==1
    n=n*ones(1,m);
end
% n=fliplr(n);
for i=m-1:-1:0
ind=ind+(a(:,i+1)-1)*prod(n(1:i));
end